cURL
curl --request POST \
--url https://api.smartbills.io/v1/businesses/{businessId}/email-accounts/imap \
--header 'Content-Type: application/json' \
--data '
{
"provider": "<string>",
"imapServer": "<string>",
"imapPort": 123,
"enableSsl": true,
"email": "<string>",
"password": "<string>",
"businessMembershipId": 123,
"businessId": 123,
"userId": 123
}
'import requests
url = "https://api.smartbills.io/v1/businesses/{businessId}/email-accounts/imap"
payload = {
"provider": "<string>",
"imapServer": "<string>",
"imapPort": 123,
"enableSsl": True,
"email": "<string>",
"password": "<string>",
"businessMembershipId": 123,
"businessId": 123,
"userId": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
provider: '<string>',
imapServer: '<string>',
imapPort: 123,
enableSsl: true,
email: '<string>',
password: '<string>',
businessMembershipId: 123,
businessId: 123,
userId: 123
})
};
fetch('https://api.smartbills.io/v1/businesses/{businessId}/email-accounts/imap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
BusinessEmailAccounts
Post v1businesses email accountsimap
POST
/
v1
/
businesses
/
{businessId}
/
email-accounts
/
imap
cURL
Path Parameters
Body
application/jsontext/jsonapplication/*+json
Response
200
OK
Was this page helpful?
⌘I